Subject: [Megaco] H.248 and Annexes

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 8 Mar 2002 11:02:06 -0500

The ITU-T has realized that it has a versioning problem with respect to
H.248 and its Annexes.  Part of that problem spills over to us.  The issue
is that most of the Annexes are not affected by the change from H.248v1 to
H.248v2, and it would be nice to organize the documentation to reflect that
fact.  The part that affects us is that when packages are defined that
depend on features added in later versions of the protocol, that dependency
should be made explicit somewhere.  I think we need to add a minimum
required base protocol version as an item in package documentation and also
in the IANA registration.

The proposal made by the ITU-T secretariat is to renumber H.248 and Annexes
as a series of Recommendations H.248.1, H.248.2, etc.  The intent is to
publish the present base document, including Annexes A to E and Appendix I,
as H.248.1.  I am wondering if the documents should be reorganized so that
H.248.1 includes all non-package-related documentation, plus the first two
packages of Annex E (because they are referred to in the main body of the
text).  At the very least, I would think that the present Annex L (the error
code documentation) should be included in the base specification.

Here's a complete list of the Annexes.

Annex  Title                             Status

  A    BINARY ENCODING OF THE PROTOCOL   In Last Call as part of H.248v2
  B    TEXT ENCODING OF THE PROTOCOL       ditto
  C    TAGS FOR MEDIA STREAM PROPERTIES  Ditto, but no new v2 content
  D    TRANSPORT OVER IP                 Ditto, but no new v2 content
  E    BASIC PACKAGES                    Ditto, some v2-related content.
  F    Facsimile, text conversation and  Approved 11/00
       call discrimination packages
  G    User interface elements and       Approved 11/00
       actions packages
  H    Transport over SCTP               Approved 11/00
  I    Transport over ATM                Approved 11/00
  J    Dynamic Tone Definition package   Approved 11/00
  K    Generic Announcement package      Approved 11/00
  L    Error Codes and Service Change    Updated version in Last Call
       Reason Description
  M.1  Advanced Media Server packages    In Last Call
  M.2  Media Gateway resource congestion Approved 07/01
       handling package
  M.3                                    Withdrawn in favour of
                                         draft-boyle-megaco-alerting
  M.4  H.248 packages for H.323 and      Approved 07/01
       H.324 interworking
  M.5  Quality Alert Ceasing Package     In Last Call
  M.6  Inactivity Timer Package          In Last Call
  M.profile     Profile Package          Work in progress
  M.rch  Overload Control Package        Work in progress
  M.edd  Enhanced digit collection       In progress, v2 dependency
  M.lt   Line test package               Work in progress
  M.mcu  MCU decomposition packages      Work in progress
  N    SDP H.248 Package Attribute       In Last Call

Tom Taylor
[email-masked]
Ph. +1 613 736 0961 (ESN 396 1490)

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco